%define	libname		PyOpenGL
%define	name		python-opengl
%define	version		2.0.1.09
%define	release		1mdk

Summary:	Python bindings for OpenGL
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Libraries
URL:		http://pyopengl.sourceforge.net/
Source:		%{libname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	python == %{pyver}
BuildRequires:	python-devel, libMesaGLU-devel libMesaglut-devel Mesa-devel XFree86-devel 
BuildRequires:  XFree86-Xvfb

%description
Python bindings for OpenGL

%package doc
Summary: Documentation files for %{name}
Group: Development/Python

%description doc
Documentation files for %{name}

%prep
%setup -n %{libname}-%{version} -q

%build
XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
xauth add $DISPLAY . EE

python setup.py build

kill $(cat /tmp/.X$XDISPLAY-lock)

%install
rm -rf %{buildroot}
mv OpenGL/doc/ .
XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
xauth add $DISPLAY . EE

python setup.py install --prefix=%{buildroot}/%{_prefix}

kill $(cat /tmp/.X$XDISPLAY-lock)

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_libdir}/python%{pyver}/site-packages/OpenGL/


%files doc
%defattr(-,root,root)
%doc doc/*

%changelog
* Tue Dec 07 2004 Michael Scherer <misc@mandrake.org> 2.0.1.09-1mdk
- allows build without X
- from Tigrux <tigrux@ximian.com> 2.0.1.09-1
  - First rpm for Mandrake
